## python-hug 2.6.0

=== benchmarks/http/requirements.txt ===
Cython==0.24
bobo
bottle
cherrypy
falcon
flask
muffin
pyramid
hug
gunicorn

=== examples/docker_compose_with_mongodb/requirements.txt ===
hug
pymongo

=== examples/docker_nginx/Makefile ===
dev:
	docker-compose -f docker-compose.dev.yml up --build

prod:
	docker-compose up --build

=== examples/sqlalchemy_example/requirements.txt ===
git+git://github.com/timothycrosley/hug@develop#egg=hug
sqlalchemy
marshmallow
marshmallow-sqlalchemy

## python-hug 2.3.0

=== debian/changelog ===
python-hug (2.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    + Drop X-Python3-Version field.
      According to upstream the program supports all python3 versions, and
      keeping it to only 3.5 as it was leads to FTBFS now that python3.5 is
      being removed.  Closes: #880830
    + Bump Standards-Version to 4.1.2, no changes needed.
    + Mark python3-hug-doc as Multi-Arch:foreign (from the M-A hinter).
    + Rename d/docs to d/python3-hug.docs for clearity.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 11 Dec 2017 13:10:21 +0100

python-hug (2.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #849130)

 -- Federico Ceratto <federico@debian.org>  Sun, 08 Oct 2017 20:35:19 +0100

=== debian/control ===
Source: python-hug
Maintainer: Federico Ceratto <federico@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10~),
Build-Depends-Indep: dh-python,
 help2man,
 python3-all,
 python3-falcon,
 python3-flake8,
 python3-marshmallow,
 python3-mock,
 python3-pytest,
 python3-pytest-cov,
 python3-requests,
 python3-setuptools
Standards-Version: 4.1.2
Homepage: https://github.com/timothycrosley/hug
Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-hug.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-hug.git

Package: python3-hug
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python3 framework for HTTP and CLI APIs
 hug makes developing a Python driven API as succinct as a written definition.
 Built-in API version management, validation and documentation generation.
 Encourages self-documenting code and easy testing.
 hug is Python 3+ only and built upon Falcon's high performance HTTP library.

Package: python3-hug-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Python3 framework for HTTP APIs - documentation
 hug makes developing a Python driven API as succinct as a written definition.
 Built-in API version management, validation and documentation generation.
 Encourages self-documenting code and easy testing.
 hug is Python 3+ only and built upon Falcon's high performance HTTP library.
 This is the documentation package.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=hug
export DH_VERBOSE=1
export PYBUILD_DISABLE=test

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm .cache -rf

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

override_dh_installman:
	help2man --no-discard-stderr --no-info --version-string="$(DEB_VERSION)" \
		--name "Hug Python3 API framework" \
		./debian/python3-hug/usr/bin/hug > ./debian/hug.1
	dh_installman ./debian/hug.1

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-hug-$1\.tar\.gz/ \
  https://github.com/timothycrosley/hug/tags .*/v?(\d\S*)\.tar\.gz

## python-hug 2.4.1

=== debian/changelog ===
python-hug (2.4.1-1build1) focal; urgency=medium

  * No-change upload for Python 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 31 Jan 2020 16:56:23 +0100

python-hug (2.4.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Federico Ceratto ]
  * New upstream release
  * Build C extensions

 -- Federico Ceratto <federico@debian.org>  Fri, 30 Nov 2018 23:58:11 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Maintainer: Federico Ceratto <federico@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper (>= 11~),
+ cython3,
 Build-Depends-Indep: dh-python,
- help2man,
  python3-all,
+ python3-all-dev,
  python3-falcon,
  python3-flake8,
  python3-marshmallow,
@@ -14,14 +15,15 @@
  python3-pytest-cov,
  python3-requests,
  python3-setuptools
-Standards-Version: 4.1.2
+Standards-Version: 4.2.1
 Homepage: https://github.com/timothycrosley/hug
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-hug.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-hug.git
+Vcs-Git: https://salsa.debian.org/debian/python-hug.git
+Vcs-Browser: https://salsa.debian.org/debian/python-hug
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-hug
-Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Architecture: any
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Description: Python3 framework for HTTP and CLI APIs
  hug makes developing a Python driven API as succinct as a written definition.
  Built-in API version management, validation and documentation generation.
@@ -30,7 +32,6 @@
 
 Package: python3-hug-doc
 Architecture: all
-Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Description: Python3 framework for HTTP APIs - documentation

## python-hug 2.6.0

=== debian/changelog ===
python-hug (2.6.0-4build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:14:25 +0000

python-hug (2.6.0-4) unstable; urgency=medium

  * Team upload.
  * Test-Depends: all Build-Depends except those that
    made it into the list of dependencies of python3-hug
  * Drop redundant python3-all from Build-Depends (there is python3-all-dev)

 -- Andreas Tille <tille@debian.org>  Fri, 09 Feb 2024 19:39:28 +0100

python-hug (2.6.0-3) unstable; urgency=medium

  * Team upload.
  * Move package to DPT
  * Replace distutils which is removed in Python3.12
    Closes: #1059666
  * Enable build-time tests
  * Fix Python3.11 issue in tests
  * Fix Numpy issue in tests
  * Exclude tests requiring network access
  * Mark tests skip that seem to use the marshmallow API wrongly
    (see debian/README.source)
  * Mark tests skip that are failing for unknown reasons adding
    FIXME.  This needs more investigation but its better than
    simply no tests at all.
    (see debian/README.source)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 09 Feb 2024 15:21:29 +0100

python-hug (2.6.0-2.4) unstable; urgency=high

  * Non-maintainer upload.
  * debian/rules: Only install hug.1 man page into python3-hug package.
    (Closes: #1014736)

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Jul 2022 15:48:12 -0400

python-hug (2.6.0-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Merge Build-Depends-Indep into Build-Depends.
    Many build dependencies are still needed in arch-specific build.
    This would really fix FTBFS.
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/python3-hug.lintian-overrides: Dropped, no longer
    applicable with recent lintian.

 -- Boyuan Yang <byang@debian.org>  Sat, 09 Jul 2022 16:10:07 -0400

python-hug (2.6.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing build-dependency python3-wheel.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Jul 2022 22:06:58 -0400

python-hug (2.6.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload pending fix from git packaging repo:

  [ Federico Ceratto ]
  * Update Standards-Version to 4.6.0.
  * Update homepage.
  * debian/gitlab-ci.yml: Update CI conf.
  * Set upstream metadata fields: Security-Contact.
  * Update watch file format version to 4.
  * debian/control: Fix syntax. (Closes: #953258)

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Jul 2022 21:04:40 -0400

python-hug (2.6.0-2) unstable; urgency=medium

  * Bugfix (Closes: #961606, #916022, #953258)

 -- Federico Ceratto <federico@debian.org>  Mon, 13 Jul 2020 23:45:06 +0100

python-hug (2.6.0-1) experimental; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 28 Sep 2019 11:58:25 +0100

=== debian/control ===
Source: python-hug
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Federico Ceratto <federico@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cython3,
               dh-sequence-python3,
               python3-all-dev,
               python3-setuptools,
               python3-wheel,
               python3-falcon,
               python3-flake8,
               python3-marshmallow,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-runner,
               python3-requests,
               python3-packaging,
               python3-numpy <!nocheck>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-hug
Vcs-Git: https://salsa.debian.org/python-team/packages/python-hug.git
Homepage: https://github.com/hugapi/hug
Rules-Requires-Root: no

Package: python3-hug
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-packaging
Description: Python3 framework for HTTP and CLI APIs
 hug makes developing a Python driven API as succinct as a written definition.
 Built-in API version management, validation and documentation generation.
 Encourages self-documenting code and easy testing.
 hug is Python 3+ only and built upon Falcon's high performance HTTP library.

Package: python3-hug-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Python3 framework for HTTP APIs - documentation
 hug makes developing a Python driven API as succinct as a written definition.
 Built-in API version management, validation and documentation generation.
 Encourages self-documenting code and easy testing.
 hug is Python 3+ only and built upon Falcon's high performance HTTP library.
 This is the documentation package.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=hug
export DH_VERBOSE=1
#export PYBUILD_DISABLE=test
export PYBUILD_BEFORE_TEST := cp -a README.md artwork hug examples {build_dir}
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))

include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm .cache -rf

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md
	rm -f debian/python3-$(PYBUILD_NAME)/usr/lib/python3*/dist-packages/README.md

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         python3-all,
         python3-wheel,
         python3-falcon,
         python3-flake8,
         python3-marshmallow,
         python3-pytest,
         python3-pytest-cov,
         python3-pytest-runner,
         python3-numpy
Restrictions: allow-stderr
